Bug 427411 - Review Request: common-lisp-controller - Common Lisp source and compiler manager
Summary: Review Request: common-lisp-controller - Common Lisp source and compiler manager
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 427391
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-03 18:01 UTC by Anthony Green
Modified: 2015-02-06 17:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-11 14:51:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Anthony Green 2008-01-03 18:01:37 UTC
Spec URL: http://spindazzle.org/Fedora/common-lisp-controller.spec
SRPM URL: http://spindazzle.org/Fedora/common-lisp-controller-6.12-3.fc8.src.rpm
Description: 
This package helps installing Common Lisp sources and compilers.
It creates a user-specific cache of compiled objects. When a library
or an implementation is upgraded, all compiled objects in the cache
are flushed. It also provides tools to recompile all libraries and to
generate Fedora packages from asdf-install packages.

Comment 1 Michel Alexandre Salim 2008-05-29 02:16:37 UTC
Ready for approval, contigent on three things being fixed (listed below):
- remove tabs
- check with legal on licensing (looks more liberal than LGPL so I'm personally
OK with it)
- include debian/copyright

MUST

• rpmlint:
  - mixed use of space and tabs (trivial)
  
• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines
  LLGPL not in pre-approved list. Should legal take a look at it?

• license field accurate: OK
• license file not deleted: FAIL
  please include debian/copyright file in %doc
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
• builds under >= 1 archs, others excluded: noarch, OK
• build dependencies complete: OK
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures: OK
• package functioned as described: suggestion on how to test?
• scriplets are sane: OK
• require package not files: OK

Comment 2 Anthony Green 2008-07-06 13:57:03 UTC
(In reply to comment #1)
> Ready for approval, contigent on three things being fixed (listed below):
> - remove tabs
> - check with legal on licensing (looks more liberal than LGPL so I'm personally
> OK with it)
> - include debian/copyright
>


Thanks.  I've just sent a note to fedora-legal-list.

AG


Comment 3 Anthony Green 2008-07-07 15:42:42 UTC
(In reply to comment #1)
> Ready for approval, contigent on three things being fixed (listed below):
> - remove tabs
> - check with legal on licensing (looks more liberal than LGPL so I'm personally
> OK with it)
> - include debian/copyright

LLGPL is on the approved license list now.
I'll make the two other changes and add this.

Thanks!

AG


Comment 4 Anthony Green 2008-07-07 15:50:12 UTC
Here are the updated files:

Spec URL: http://spindazzle.org/Fedora/common-lisp-controller.spec
SRPM URL: http://spindazzle.org/Fedora/common-lisp-controller-6.15-2.fc9.src.rpm

Note that I also upgraded from 6.12 to 6.15.

Approved?

Thanks,

AG


Comment 5 Anthony Green 2008-07-13 14:53:12 UTC
(In reply to comment #1)
> Ready for approval, contigent on three things being fixed (listed below):
> - remove tabs
> - check with legal on licensing (looks more liberal than LGPL so I'm personally
> OK with it)
> - include debian/copyright

Michael - these were all fixed.  I have a ton of Common Lisp packages depending
on this approval.  I think we're done now, but I think I need you to flip the
bit before I request my cvs tree.  Thanks!


Comment 6 Michel Alexandre Salim 2008-08-27 00:47:08 UTC
Somehow missed the bugzilla notification, sorry.

Yes, all issues are resolved. APPROVED.

Comment 7 Anthony Green 2008-08-29 07:09:07 UTC
New Package CVS Request
=======================
Package Name: common-lisp-controller
Short Description: Common Lisp source and compiler manager
Owners: green
Branches: F-9
InitialCC:

Comment 8 Kevin Fenzi 2008-08-30 20:58:35 UTC
cvs done.

Comment 9 Peter Robinson 2008-10-11 14:51:33 UTC
Closing - in rawhide

Comment 10 Anthony Green 2010-11-12 21:53:56 UTC
Package Change Request
======================
Package Name: common-lisp-controller
New Branches: el6
Owners: green
InitialCC: rdieter

I'd like to bring common-lisp-controller into el6 for sbcl and other lisps.

Comment 11 Jason Tibbitts 2010-11-13 16:48:07 UTC
Git done (by process-git-requests).

Comment 12 Rex Dieter 2015-02-06 15:45:53 UTC
Package Change Request
======================
Package Name: common-lisp-controller
New Branches: epel7
Owners: green
InitialCC: rdieter

Comment 13 Gwyn Ciesla 2015-02-06 17:42:49 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.